import 'package:equatable/equatable.dart';
import 'package:json_annotation/json_annotation.dart';

part 'contact_request.g.dart';

@JsonSerializable(explicitToJson: true)
class ContactRequest extends Equatable {
  final String name;
  final String phone;

  ContactRequest(this.name, this.phone);

  ContactRequest.named({this.name, this.phone});

  @override
  List<Object> get props => [phone];

  Map<String, dynamic> toJson() => _$ContactRequestToJson(this);

  factory ContactRequest.fromJson(json) => _$ContactRequestFromJson(json);
}
